Configure LaTeX PDF version

The PDF version output by LaTeX is set by \pdfminorversion and this also sets the newest PDF version that LaTeX can use via \includegraphics. If \pdfminorversion default or setting is too low, by default LaTeX only issues a warning like:

PDF inclusion: found PDF version <1.7>, but at most version <1.5> allowed

and the PDF-input graphic will be missing. The too-old default PDF version of LaTeX is increasingly becoming an issue as PDF creation tools are rightfully increasing their default PDF output version from the ca. 2003 PDF v1.5 specification.

Fix

To mitigate these issues, we do two things near the top of each project’s main LaTeX file:

  1. create an error if the current PDF version is too old

    \pdfinclusionerrorlevel=1
    
  2. set the default PDF version to ca. 2008 PDF v1.7

    \pdfminorversion=7
    

It’s OK for these PDF configuration lines to come after LaTeX directives.